package com.ruoyi.member.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.member.domain.MemberAddress;

import java.util.List;

/**
 * 博主收货地址Service接口
 *
 * @author pqz
 * @date 2025-03-17
 */
public interface IMemberAddressService extends IService<MemberAddress> {

    /**
     * 根据用户id查询
     *
     * @param userId 用户id
     * @return java.util.List<com.ruoyi.member.domain.MemberAddress>
     * @author PQZ
     * @date 10:40 2025/3/29
     **/
    List<MemberAddress> listByUserId(Long userId);

}
